Subject: Re: bug#79356: 31.0.50; 'C-x p r' fails when there are .gpg files EPA can't decrypt

From: Sean Whitton <[email-masked]>
Date: Thu, 04 Sep 2025 15:50:36 +0100

Hello,

On Tue 02 Sep 2025 at 01:05pm -04, Stefan Monnier via "Bug reports for GNU Emacs, the Swiss army knife of text editors" wrote:

>>> Not sure "<msg>, <new>" is the best syntax (I'd have used "<new>:
>>> <msg>", instead), but that looks good enough to me, thanks.
>> I did the colon-separated format first but then I noticed that other
>> file-errors which were firing were putting it at the end.
>
> Hmm... I guess `error-message-string` uses ", <FILE>" when it's part of
> the error object, indeed.  Maybe ", <new>" is a better choice after all?
> As I said, I'm "not sure" which is the best syntax.

Me neither.  If either of us decides one is better than the other at
some point, we can change it over.

-- 
Sean Whitton